$(call onDebugMake,fichier 'end' inclu)

#-------------------------------------------------------------------------------
# liste des commandes existantes
#-------------------------------------------------------------------------------
include $(MAKE_INTERN_DIR)commands.mk


ifndef INDEPENDENT_COMMANDS_GOAL

#-------------------------------------------------------------------------------
# Precalcul du pourcentage d'avancement pour chaque fichier
#-------------------------------------------------------------------------------
include $(MAKE_INTERN_DIR)configureProgress.mk


#-------------------------------------------------------------------------------
# liste de tous les fichiers de dependances
#-------------------------------------------------------------------------------
DEPEND_ALL:=$(OBJ_ALL:$(OBJECT_EXTENSION)=.d)


#-------------------------------------------------------------------------------
# DEPEND liste des dependances
# (on inclu tous les fichiers *.d generes)
#-------------------------------------------------------------------------------
# on va chercher les dependances deja existantes (sinon va vouloir les creers tout de suite)
# les autres seront crees lorsque l'objet correspondant sera compile
-include $(call exist, $(DEPEND_ALL))


#-------------------------------------------------------------------------------
# REGLES de compilation
#-------------------------------------------------------------------------------
# doit etre declare dans le makefile avec la fonction
# create_rules ou create_rules_with_specific_flags
ifndef __CREATE_RULES_FOR_GENERATED_FILES__
  $(eval $(call create_rules_for_generated_files))
endif


include $(MAKE_INTERN_DIR)rulesEmpty.mk

ifeq ($(OBJ_ALL),)
#$(error No source file found to compile)
endif



endif

$(call onDebugMake,_____END_____)



