$(call onDebugMake,fichier 'libraries/FFMPEG' inclu)


# fichiers de bases
# avcodec.h avformat.h

$(call declare_lib_incl,                                                       \
  FFMPEG,                                                                      \
  avcodec.h,                                                                   \
  $(call standard_lib_incl, FFMPEG FFMPEG_HOME FFMPEGHOME, FFMPEG ffmpeg)      \
  $(if $(LINUX)$(MACOSX),                                                      \
    /usr/include                                                               \
    /usr/local/include                                                         \
    /usr/include/ffmpeg                                                        \
    /usr/local/include/ffmpeg                                                  \
    /usr/local/ffmpeg/include                                                  \
    /usr/ffmpeg/include                                                        \
  )                                                                            \
)


# liste des sous-librairies
# `ffmpeg-config --libs avformat`
# -lavformat -lavcodec -lavutil -lvorbis -lvorbisenc -ltheora -logg -lraw1394 -ldc1394_control -lgsm -lz -lm

FFMPEG_LINK_PARTS ?= avformat avcodec avutil vorbis vorbisenc theora ogg raw1394 dc1394_control gsm z m

$(call declare_lib_link,                                                       \
	FFMPEG,                                                                \
	$(FFMPEG_LINK_PARTS),                                                  \
	$(call standard_lib_link, FFMPEG FFMPEG_HOME, FFMPEG ffmpeg)           \
	/usr/lib                                                               \
	/usr/lib/w32api                                                        \
	/usr/local/lib                                                         \
	/usr/X11R6/lib                                                         \
	/usr/openwin/lib                                                       \
	/usr/shlib                                                             \
)

