$(call onDebugMake,fichier 'libraries/OGRE' inclu)


OGRE_INCL_PARTS := Ogre.h

$(call declare_lib_incl,                                                       \
	OGRE,                                                                  \
	$(OGRE_INCL_PARTS),                                                    \
	$(OGRE_HOME)\include                                                   \
	$(OGRE_HOME)\Dependencies\include                                      \
	$(OGRE_HOME)\..\Dependencies\include                                   \
	$(call standard_lib_incl,                                              \
		OGRE OGREDIR OGRE_DIR OGRE_HOME                                \
		,                                                              \
		ogre OGRE                                                      \
	)                                                                      \
)


OGRE_LINK_PARTS ?= OgreMain

$(call declare_lib_link,                                                       \
	OGRE,                                                                  \
	$(OGRE_LINK_PARTS),                                                    \
	$(OGRE_HOME)                                                           \
	$(OGRE_HOME)\lib                                                       \
	$(OGRE_HOME)\..\lib                                                    \
	$(OGRE_HOME)\Dependencies\lib                                          \
	$(OGRE_HOME)\Dependencies\lib\Debug                                    \
	$(OGRE_HOME)\Dependencies\lib\Release                                  \
	$(OGRE_HOME)\..\Dependencies\lib\Debug                                 \
	$(OGRE_HOME)\..\Dependencies\lib\Release                               \
	$(call standard_lib_link,                                              \
		OGRE OGREDIR OGRE_DIR OGRE_HOME                                \
		,                                                              \
		ogre OGRE                                                      \
	)                                                                      \
)

