$(call onDebugMake,fichier 'libraries/OGRECEGUI' inclu)


$(call declare_lib_incl,                                                       \
	OGRECEGUI,                                                             \
	OgreCEGUIRenderer.h,                                                   \
	$(call standard_lib_incl,                                              \
		OGRE OGREDIR OGRE_DIR OGRE_HOME                                \
		OGRECEGUI OGRECEGUIDIR OGRECEGUI_DIR OGRECEGUI_HOME            \
		,                                                              \
		ogre OGRE Ogre                                                 \
		cegui CEGUI                                                    \
		ogrecegui OGRECEGUI OgreCegui                                  \
		Samples/Common/CEGUIRenderer                                   \
		../Samples/Common/CEGUIRenderer                                   \
	)                                                                      \
)


OGRECEGUI_LINK_PARTS ?= $(if $(WINDOWS),OgreGUIRenderer,CEGUIOgreRenderer)


$(call declare_lib_link,                                                       \
	OGRECEGUI,                                                             \
	$(OGRECEGUI_LINK_PARTS),                                               \
	$(call standard_lib_link,                                              \
		OGRE OGREDIR OGRE_DIR OGRE_HOME                                \
		OGRECEGUI OGRECEGUIDIR OGRECEGUI_DIR OGRECEGUI_HOME            \
		,                                                              \
		ogre OGRE Ogre                                                 \
		cegui CEGUI                                                    \
		ogrecegui OGRECEGUI OgreCegui                                  \
		Samples/Common/CEGUIRenderer                                   \
		../Samples/Common/CEGUIRenderer                                   \
		Samples/Common/bin/Debug                                       \
		../Samples/Common/bin/Debug                                       \
		Samples/Common/bin/Release                                     \
		../Samples/Common/bin/Release                                     \
	)                                                                      \
)


