$(call onDebugMake,fichier 'libraries/OPENGL' inclu)


$(call declare_lib_incl,                                                       \
	OPENGL,                                                                \
	GL/gl.h,                                                               \
	$(call standard_lib_incl,                                              \
		GL OPENGL OPENGLDIR OPENGL_DIR OPENGL_HOME                     \
		,                                                              \
		GL gl OpenGL openGL opengl                                     \
	)                                                                      \
	/usr/share/doc/NVIDIA_GLX-1.0/include                                  \
	/usr/include                                                           \
	/usr/local/include                                                     \
	/usr/openwin/share/include                                             \
	/opt/graphics/OpenGL/include                                           \
	/usr/X11R6/include                                                     \
)


OPENGL_LINK_PARTS = \
	$(if $(WINDOWS),                                                       \
		opengl32 gl32 glu32,                                           \
		GL GLU                                                         \
	)

$(call declare_lib_link,OPENGL,                                                \
	$(OPENGL_LINK_PARTS),                                                  \
	$(call standard_lib_link,                                              \
		GL OPENGL OPENGLDIR OPENGL_DIR OPENGL_HOME                     \
		,                                                              \
		GL gl OpenGL openGL opengl                                     \
	)                                                                      \
	/usr/lib,                                                              \
	/usr/local/lib,                                                        \
	/opt/graphics/OpenGL/lib,                                              \
	/usr/openwin/lib,                                                      \
	/usr/X11R6/lib,                                                        \
	/usr/shlib,                                                            \
)


#ifdef DEBUG
#	OPENGL_FLAG   +=-gldebug
#endif
