$(call onDebugMake,fichier 'libraries/QT3' inclu)



$(call declare_lib_incl,QT3,                                                   \
	qglobal.h,                                                             \
	$(call standard_lib_incl,                                              \
		QT QTDIR QT_DIR QT_HOME                                        \
		QT3 QT3DIR QT3_DIR QT3_HOME                                    \
		,                                                              \
		Qt qt Qt3 qt3                                                  \
	)                                                                      \
	$(QT_SEARCH_PATH)/Qt/include                                           \
	"[HKEY_CURRENT_USER\\Software\\Trolltech\\Qt3Versions\\3.2.1;InstallDir]/include/Qt"  \
	"[HKEY_CURRENT_USER\\Software\\Trolltech\\Qt3Versions\\3.2.0;InstallDir]/include/Qt"  \
	"[HKEY_CURRENT_USER\\Software\\Trolltech\\Qt3Versions\\3.1.0;InstallDir]/include/Qt"  \
	C:/Qt/3.3.3Educational/include                                         \
	/usr/include/qt3/Qt                                                    \
	/usr/local/qt/include                                                  \
	/usr/local/include                                                     \
	/usr/lib/qt/include                                                    \
	/usr/include                                                           \
	/usr/share/qt3/include                                                 \
	C:/Program$(SPACE_FAKE)Files/qt/include                                \
	C:/Progra~1/qt/include                                                 \
	/usr/include/qt3                                                       \
	)


ifndef QT3_PARTS
	QT3_PARTS:= \
		QtCore               \
		QtGui                \
		QtOpenGL             \
		QtUiTools            \
		QtDesignerComponents \
		QtDBus               \
		QtAssistantClient    \
		QtDesignerComponents \
		QtUiTools            \
		QtDesigner           \
		QtAssistantClient    \
		QtSql                \
		QtNetwork            \
		QtDBus               \
		QtXml                \
		Qt3Support           \
		QtSvg                \
		QtScript
endif


$(call declare_lib_link,QT3,                                                   \
	$(QT3_PARTS),                                                          \
	$(call standard_lib_link,                                              \
		QT QTDIR QT_DIR QT_HOME                                        \
		QT3 QT3DIR QT3_DIR QT3_HOME                                    \
		,                                                              \
		Qt qt Qt3 qt3                                                  \
	)                                                                      \
	C:/Qt/3.3.3Educational/lib                                             \
	"$(QTDIR)/lib"                                                         \
	/usr/lib/qt3/Qt                                                        \
	/usr/local/qt/lib                                                      \
	/usr/local/lib                                                         \
	/usr/lib/qt/lib                                                        \
	/usr/lib                                                               \
	/usr/share/qt3/lib                                                     \
	C:/Program$(SPACE_FAKE)Files/qt/lib                                    \
	C:/Progra~1/qt/lib                                                     \
	/usr/lib/qt3                                                           \
	/sw/lib                                                                \
	/opt/local/lib                                                         \
	/opt/csw/lib                                                           \
	/opt/lib                                                               \
	)

$(call declare_command, MOCXX, moc moc-qt3,                                    \
	/usr/bin                                                               \
	$(DIR_QT)/bin )

$(call declare_command, UICXX, uic uic-qt3,                                    \
	/usr/bin                                                               \
	$(DIR_QT)/bin )

$(call declare_command, RCCXX, rcc,                                            \
	/usr/bin                                                               \
	$(DIR_QT)/bin )

