$(call onDebugMake,fichier 'libraries/QT4' inclu)



$(call declare_lib_incl,QT4,                                                   \
	QtCore/qglobal.h,                                                          \
	$(call standard_lib_incl,                                                  \
		QT_SEARCH_PATH                                                         \
		QT QTDIR QT_DIR QT_HOME QTHOME                                         \
		QT4 QT4DIR QT4_DIR QT4_HOME QT4HOME                                    \
		,                                                                      \
		Qt qt Qt4 qt4                                                          \
	)                                                                          \
	$(if $(LINUX)$(MACOS),                                                     \
		/usr/include/qt4/Qt                                                    \
		/usr/local/Trolltech/Qt-4.4.3                                      \
		/usr/local/Trolltech/Qt-4.4.3/include                              \
	)                                                                          \
	$(if $(WINDOWS),                                                           \
		C:/Program$(SPACE_FAKE)Files/qt/include                                \
	)                                                                          \
)


#	[HKEY_CURRENT_USER\\Software\\Trolltech\\Qt4Versions\\4.2.1;InstallDir]/include/Qt   \
	[HKEY_CURRENT_USER\\Software\\Trolltech\\Qt4Versions\\4.2.0;InstallDir]/include/Qt   \
	[HKEY_CURRENT_USER\\Software\\Trolltech\\Qt4Versions\\4.1.0;InstallDir]/include/Qt   \

ifndef QT4_PARTS
	QT4_PARTS:= \
		QtCore               \
		QtCore4              \
		QtGui                \
		QtGui4               \
		QtOpenGL             \
		QtOpenGL4            \
		QtUiTools            \
		QtUiTools4           \
		QtDesignerComponents \
		QtDesignerComponents4 \
		QtDBus               \
		QtDBus4              \
		QtAssistantClient    \
		QtAssistantClient4   \
		QtDesignerComponents \
		QtDesignerComponents4 \
		QtUiTools            \
		QtUiTools4            \
		QtDesigner           \
		QtDesigner4           \
		QtAssistantClient    \
		QtAssistantClient4    \
		QtSql                \
		QtSql4                \
		QtNetwork            \
		QtNetwork4            \
		QtDBus               \
		QtDBus4               \
		QtXml                \
		QtXml4                \
		Qt3Support           \
		QtSvg                \
		QtSvg4                \
		QtScript             \
		QtScript4
endif

$(call declare_lib_link,QT4,                                                   \
	$(QT4_PARTS),                                                              \
	$(call standard_lib_link,                                                  \
		QT_SEARCH_PATH                                                         \
		QT QTDIR QT_DIR QT_HOME                                                \
		QT4 QT4DIR QT4_DIR QT4_HOME                                            \
		,                                                                      \
		Qt qt Qt4 qt4                                                          \
	)                                                                          \
	$(if $(LINUX)$(MACOS),                                                     \
		/usr/lib/qt4/Qt                                                        \
		/usr/local/Trolltech/Qt-4.4.3                                      \
		/usr/local/Trolltech/Qt-4.4.3/lib                                  \
	)                                                                          \
	$(if $(WINDOWS),                                                           \
		C:/Program$(SPACE_FAKE)Files/qt/lib                                    \
	)                                                                          \
)

$(call declare_command, MOCXX, moc moc-qt4,                                    \
    $(DIR_QT)/bin                                                              \
)

$(call declare_command, UICXX, uic uic-qt4,                                    \
	$(DIR_QT)/bin                                                              \
)

$(call declare_command, RCCXX, rcc,                                            \
	$(DIR_QT)/bin                                                              \
)

