$(call onDebugMake,fichier 'configureAuto' inclu)

#-------------------------------------------------------------------------------
#        Fonctions qui permettent de rechercher automatiquement :
#          - la liste des fichiers a compiler
#          - les emplacements des librairies
#        et de sauvegarder le resultat dans un fichier pour
#        ne pas le faire a chaque fois
#-------------------------------------------------------------------------------

SAVE_SESSION :=$(MAKEDIR)$(COMPIL_DIR)makeCfiles/session.mk
SAVE_FILES   :=$(MAKEDIR)$(COMPIL_DIR)makeCfiles/files.mk
SAVE_CONFIG  :=$(MAKEDIR)$(COMPIL_DIR)makeCfiles/config.mk

include $(MAKE_INTERN_DIR)configureSession.mk

ifeq ($(CONFIGURE),)
$(call onDebugMake,CONFIGURE=false)
# si le fichier n'existe pas
REBUILD_FILES   :=$(call not,$(call exist,$(SAVE_FILES)))
REBUILD_CONFIG  :=$(call not,$(call exist,$(SAVE_CONFIG)))
CONFIGURE       :=$(REBUILD_FILES)$(REBUILD_CONFIG)$(REBUILD_SESSION)
ifneq ($(CONFIGURE),)
all :: configuredependencies warningconfigure ;
endif
endif


ifneq ($(CONFIGURE),)
$(call onDebugMake,CONFIGURE=true  All configuration files must be recreate)
REBUILD_SESSION :=$(TRUE)
REBUILD_FILES   :=$(TRUE)
REBUILD_CONFIG  :=$(TRUE)
endif


include $(MAKE_INTERN_DIR)configureFiles.mk

include $(MAKE_INTERN_DIR)configureConfig.mk

include $(MAKE_INTERN_DIR)configureSave.mk



