$(call onDebugMake,fichier 'configureSave' inclu)

#-------------------------------------------------------------------------------
# commandes pour creer/enregistrer les FICHIERS DE CONFIGURATION
# ( liste des fichiers a compiler et liste des repertoires des librairies )
#-------------------------------------------------------------------------------

ifneq ($(CONFIGURE),)

.NOTPARALLEL += $(SAVE_FILES) $(SAVE_CONFIG) $(SAVE_SESSION)

$(SAVE_FILES) :
	@$(call echoexx,$(COLORTITLE)---- generate list of files "$@" ----$(COLORINIT))
	@$(call make_directoryxx,$(@D))
	@$(TOUCHXX) "$(call convert_slash_to_system,$@)" $(NO_OUTPUT)
	@$(call echoxx,writting in file...)
	@$(call echoxx,$(if $(UNIX),\)$$(call onDebugMake,fichier '$@' inclu)) > $@
	@$(ECHONEWLINEXX) >> $@
	@$(ECHONEWLINEXX) >> $@
	@$(ECHOEMPTYXX) $(foreach v,$(VARFILES_MULTILINES_TO_SAVE),$(call write_var_multilines_in_file,$@,$(v))) $(foreach v,$(VARFILES_TO_SAVE),$(call write_var_in_file,$@,$(v)))
	@$(ECHONEWLINEXX) >> $@
	@$(call echoxx,... ended)
	@$(ECHOEMPTYXX)


$(SAVE_CONFIG) :
	@$(call echoexx,$(COLORTITLE)---- generate config file "$@" ----$(COLORINIT))
	@$(call make_directoryxx,$(@D))
	@$(TOUCHXX) "$(call convert_slash_to_system,$@)" $(NO_OUTPUT)
	@$(call echoxx,writting in file...)
	@$(call echoxx,$(if $(UNIX),\)$$(call onDebugMake,fichier '$@' inclu)) > $@
	@$(ECHONEWLINEXX) >> $@
	@$(ECHONEWLINEXX) >> $@
	@$(ECHOEMPTYXX) $(foreach v,$(VARCONFIG_MULTILINES_TO_SAVE),$(call write_var_multilines_in_file,$@,$(v))) $(foreach v,$(VARCONFIG_TO_SAVE),$(call write_var_in_file,$@,$(v)))
	@$(ECHONEWLINEXX) >> $@
	@$(call echoxx,... ended)
	@$(ECHOEMPTYXX)


$(SAVE_SESSION) :
	@$(call echoexx,$(COLORTITLE)---- generate session file "$@" ----$(COLORINIT))
	@$(call make_directoryxx,$(@D))
	@$(TOUCHXX) "$(call convert_slash_to_system,$@)" $(NO_OUTPUT)
	@$(call echoxx,writting in file...)
	@$(call echoxx,$(if $(UNIX),\)$$(call onDebugMake,fichier '$@' inclu)) > $@
	@$(ECHONEWLINEXX) >> $@
	@$(ECHONEWLINEXX) >> $@
	@$(ECHOEMPTYXX) $(foreach v,$(VARSESSION_MULTILINES_TO_SAVE),$(call write_var_multilines_in_file,$@,$(v))) $(foreach v,$(VARSESSION_TO_SAVE),$(call write_var_in_file,$@,$(v)))
	@$(ECHONEWLINEXX) >> $@
	@$(call echoxx,... ended)
	@$(ECHOEMPTYXX)


endif

