
# define debugmake to display all debug messages about the makefile
# make debugmake=1

ifdef debugmake
#____________________________DEBUG___________________________________

# print message only on 'DEBUG_MAKE' mode
onDebugMake = $(warning -----------------------------DEBUG_MAKE: $(1)-----------------------------)

# trace function call with their arguments on 'DEBUG_MAKE' mode
1ArgFunction = $(call onDebugMake,$0('$1'))
2ArgFunction = $(call onDebugMake,$0('$1','$2'))
3ArgFunction = $(call onDebugMake,$0('$1','$2','$3'))
4ArgFunction = $(call onDebugMake,$0('$1','$2','$3','$4'))
5ArgFunction = $(call onDebugMake,$0('$1','$2','$3','$4','$5'))

else
#___________________________NO DEBUG_________________________________


onDebugMake =

1ArgFunction =
2ArgFunction =
3ArgFunction =
4ArgFunction =
5ArgFunction =

endif

#____________________________________________________________________



# pour afficher tout les infos de make...
# make --debug=all


$(call onDebugMake,fichier 'debugMake' inclu)
