$(call onDebugMake,fichier 'windows/files' inclu)


#-------------------------------------------------------------------------------
#
#        LISTE automatique des fichiers pour le Makefile
#
#-------------------------------------------------------------------------------

# SOURCES_DIR doit etre defini prealablement
#-------------------------------------------------------------------------------

# on ne cherche que dans les dossiers qui existent vraiment
private_SOURCES_DIR :=$(wildcard $(call convert_slash_to_system,$(SOURCES_DIR)))

# s'il exite au moins un dossier
ifneq ($(private_SOURCES_DIR),)

$(info searching files in "$(private_SOURCES_DIR)")


FILES_CPP             := $(call find_sourcefilesxx,$(private_SOURCES_DIR)\*.cpp)
# on retire de la liste des fichiers cpp, ceux qui sont specifiques
#FILES_CPP := $(filter-out %.moc.cpp,$(FILES_CPP))
# %_qt.cpp
# absolute path to local path :
FILES_CPP := $(subst $(CURDIR)/,,$(FILES_CPP))
#s'il ne trouve pas .cpp dans le resultat c'est qu'il n'y a rien et que windows renvoie un message a la c...
ifeq (,$(findstring .cpp,$(FILES_CPP)))
FILES_CPP             :=
endif


FILES_C               := $(call find_sourcefilesxx,$(private_SOURCES_DIR)\*.c)
FILES_C := $(subst $(CURDIR),,$(FILES_C))
ifeq (,$(findstring .c,$(FILES_C)))
FILES_C               :=
endif

#FILES_QT_CPP          := $(call find_sourcefilesxx,$(private_SOURCES_DIR)\*_qt.cpp)
#FILES_QT_CPP := $(subst $(CURDIR),,$(FILES_QT_CPP))
#ifeq (,$(findstring _qt.cpp,$(FILES_QT_CPP)))
#FILES_QT_CPP          :=
#endif

FILES_QT_UI           := $(call find_sourcefilesxx,$(private_SOURCES_DIR)\*.ui)
FILES_QT_UI := $(subst $(CURDIR),,$(FILES_QT_UI))
ifeq (,$(findstring .ui,$(FILES_QT_UI)))
FILES_QT_UI           :=
endif

#$(warning ________________________________________________ )
#$(warning private_SOURCES_DIR : $(private_SOURCES_DIR) )
#$(warning FILES_C     : $(FILES_C) )
#$(warning FILES_CPP   : $(FILES_CPP) )

else
	FILES_CPP             =
	FILES_C               =
#	FILES_QT_CPP          =
	FILES_QT_UI           =

endif


