$(call onDebugMake,fichier 'windows/filesqrc' inclu)


# on ne cherche que dans les dossiers qui existent vraiment
SOURCES_DIR := $(wildcard $(SOURCES_DIR) )

# s'il exite au moins un dossier
ifneq ($(words $(SOURCES_DIR) ),0)
	FILES_QRC   = $(subst \,/, $(shell $(FINDXX) $(SOURCES_DIR)\*.qrc  $(NO_ERROR_OUTPUT) ))
else
	FILES_QRC   =
endif

RESOURCES   = $(FILES_QRC)


ifdef COMPIL_DIR
    OBJ         = $(patsubst $(CURRENTDIR)/%.qrc,$(COMPIL_DIR)%$(OBJECT_EXTENSION),$(FILES_QRC))
else
    OBJ         = $(FILES_QRC:.qrc=$(OBJECT_EXTENSION))
endif

SRC         := $(FILES_QRC:.qrc=.cpp)

