$(call onDebugMake,fichier 'libraries/GLUT' inclu)


$(call declare_lib_incl,                                                       \
	GLUT,                                                                  \
	GL/glut.h,                                                             \
	$(call standard_lib_incl, GLUT GLUT_HOME GLUT_ROOT_PATH, glut GLUT)    \
	/usr/include                                                           \
	/usr/local/include                                                     \
	/usr/include/GL                                                        \
	/usr/include/X11                                                       \
	/usr/openwin/share/include                                             \
	/opt/graphics/OpenGL/include                                           \
	/usr/X11R6/include                                                     \
	$(GLUT_ROOT_PATH)/include                                              \
	/System/Library/Frameworks/GLUT.framework/Versions/A/Headers           \
	$(OPENGL_LIBRARY_DIR)                                                  \
	/opt/graphics/OpenGL/include                                           \
	/opt/graphics/OpenGL/contrib/libglut                                   \
)


# gdi32 winmm : pour compiler sous win (pas specifique a glut)
GLUT_LINK_PARTS ?= $(if $(WINDOWS),glut32 Xi Xmu gdi32 winmm,glut)

$(call declare_lib_link,                                                       \
	GLUT,                                                                  \
	$(GLUT_LINK_PARTS),                                                    \
	$(call standard_lib_link, GLUT GLUT_HOME GLUT_ROOT_PATH, glut GLUT)                   \
	$(OPENGL_LIBRARY_DIR)                                                  \
	/usr/lib                                                               \
	/usr/lib/w32api                                                        \
	/usr/local/lib                                                         \
	/usr/X11R6/lib                                                         \
	/opt/graphics/OpenGL/lib                                               \
	/usr/openwin/lib                                                       \
	/usr/shlib                                                             \
)



