$(call onDebugMake,fichier 'libraries/PHYSX' inclu)


PHYSX_INCL_PARTS ?= NxFoundation.h

#\
	NxCooking.h                                                                \
	NxPhysics.h                                                                \
	NxCharacter.h                                                              \
	NxExtensions.h                                                             \
	PhysXLoader.h

$(call declare_lib_incl,                                                       \
	PHYSX,                                                                     \
	$(PHYSX_INCL_PARTS),                                                       \
	$(call standard_lib_incl,                                                  \
		PHYSX PHYSX_HOME PHYSXDIR PHYSX_DIR                                    \
		,                                                                      \
		physx Physx PHYSX                                                      \
		SDKs/Cooking                                                           \
		SDKs/Foundation                                                        \
		SDKs/NxCharacter                                                       \
		SDKs/Physics                                                           \
		SDKs/NxExtensions                                                      \
		SDKs/PhysXLoader                                                       \
	)                                                                          \
)


PHYSX_LINK_PARTS ?= PhysXCore PhysXCooking NxCharacter NxCooking NxExtensions PhysXLoader

$(call declare_lib_link,                                                       \
	PHYSX,                                                                     \
	$(PHYSX_LINK_PARTS),                                                       \
	$(call standard_lib_link,                                                  \
		PHYSX PHYSX_HOME PHYSXDIR PHYSX_DIR                                    \
		,                                                                      \
		physx Physx PHYSX                                                      \
		SDKs/lib/win32                                                         \
		SDKs/lib/win32/Release                                                 \
		Bin/win32/agperfmon                                                    \
	)                                                                          \
)


