$(call onDebugMake,fichier 'libraries/SDL' inclu)


$(call declare_lib_incl,SDL,                                                   \
	SDL.h,                                                                 \
	$(call standard_lib_incl,                                              \
		SDL SDLDIR SDL_DIR SDL_HOME                                    \
		,                                                              \
		sdl SDL SDL11 SDL12                                            \
	)                                                                      \
)

ifndef SDL_PARTS
# SDL-1.1 SDL-1.2
	SDL_PARTS:= \
		SDL                 \
		SDLmain             \
		SDL_mixer           \
		SDL_sound           \
		SDL_ttf             \
		SDL_image
endif


$(call declare_lib_link,SDL,                                                   \
	$(SDL_PARTS),                                                          \
	$(call standard_lib_link,                                              \
		SDL SDLDIR SDL_DIR SDL_HOME                                    \
		,                                                              \
		sdl SDL SDL11 SDL12                                            \
	)                                                                      \
)


