$(call onDebugMake,fichier 'compilator/gcc' inclu)

# ----------------------------------------------------------------------
#        Commandes pour le compilateur GNU GCC
# ----------------------------------------------------------------------

GCC := $(TRUE)

################################################################################
# Warning : this file is not finish
################################################################################

################################ les commandes #################################

CXX                                    := gcc
CCXX                                   := g++
LINKXX                                 := $(CCXX)
LIBXX                                  := ar -ruv

DEPENDXX                               := $(CCXX) -MM
# -M construit les dependances, -MM : sans les fichiers systems
DEPENDXX_FLAG_INCLUDE_DIRECTORY        := -I

CXX_LIBRARY                            := ar cq
CXX_EXECUTABLE                         := g++
CXX_SHARED_LIBRARY                     := g++
CXX_SHARED_EXECUTABLE                  := g++


########################## les flags de fonctionnement #########################

CXX_FLAG_OBJECT_OUTPUT                 := -o 
CXX_FLAG_EXEC_OUTPUT                   := -o 
CXX_FLAG_LIB_OUTPUT                    := -o 

CXX_FLAG_INCLUDE_DIRECTORY             := -I 
CXX_FLAG_INCLUDE_FILE                  := -include
CXX_FLAG_C_FILES                       := -c 
CXX_FLAG_CPP_FILES                     := -c 
CXX_FLAG_DEFINE                        := -D 

LINKXX_FLAG_LINK_DIRECTORY             := -L
LINKXX_FLAG_LINK_LIBRARY               := -l
LINKXX_FLAG_LINK_LIBRARY_STATIC        := -Wl$(COMMA)-Bstatic
LINKXX_FLAG_LINK_LIBRARY_DYNAMIC       := -Wl$(COMMA)-Bdynamic
LINKXX_FLAG_SAVE_LINK_PATH             := -Wl$(COMMA)-rpath$(COMMA)
#example: -Wl,-rpath,path/to/file1:path2:path3

# sous linux on ne precise pas l'extension, le compilateur va chercher lui-meme
LINKXX_FLAG_LIBRARY_EXTENSION          :=
LINKXX_FLAG_SHARED_LIBRARY_EXTENSION   :=


############################ les flags d'options ###############################

CXX_FLAGS                              := $(CXX_FLAG_DEFINE)__COMPILATOR_GCC__

CPP_FLAGS                              := 
C_FLAGS                                :=

CXX_FLAG_MULTITHREAD                   := $(CXX_FLAG_DEFINE)_PTHREADS $(CXX_FLAG_DEFINE)_REENTRANT
CXX_FLAG_NO_MULTITHREAD                :=


CXX_FLAG_DEBUG                         := -g3 -ggdb3
CXX_FLAG_NO_DEBUG                      :=

CXX_FLAG_OPTIMIZE                      := -O2
CXX_FLAG_NO_OPTIMIZE                   :=
#	-0s : optimise en vitesse mais aussi en taille
#	-O9
#	-funroll-loops
#	-ffast-math
#	-malign-double
#	-mcpu=pentiumpro
#	-march=pentiumpro
#	-fomit-frame-pointer
#	-O3
#	-mcpu=pentiumpro
#	-march=pentiumpro
#	-fnonnull-objects


CXX_FLAG_WARNING1                      := -Wall
CXX_FLAG_WARNING2                      := $(CXX_FLAG_WARNING1) -Wno-return-type
CXX_FLAG_WARNING3                      := $(CXX_FLAG_WARNING2) -Winline
CXX_FLAG_WARNING4                      := $(CXX_FLAG_WARNING3)
CXX_FLAG_NO_WARNING                    := -w

# -fPIC : Si supporte par la machine cible, generer du code independant de la position, convenant a une edition de liens dynamique, et ce meme si les branchements necessitent de grands deplacements.
CXX_FLAG_SHARED                        := -fPIC
CXX_FLAG_NO_SHARED                     :=


CXX_FLAG_PROFILE                         := -pg
CXX_FLAG_COVER                           := -fprofile-arcs -ftest-coverage
LINKXX_FLAG_COVER                        := -lgcov


LINKXX_FLAG_EXECUTABLE                    :=
LINKXX_FLAG_SHARED_LIBRARY                := -shared
LINKXX_FLAG_STATIC_LIBRARY                := -static

# TODO !!!!
# -rdynamic : Pass the flag -export-dynamic to the ELF linker, on targets that support it. This instructs the linker to add all symbols, not only used ones, to the dynamic symbol table. This option is needed for some uses of dlopen or to allow obtaining backtraces from within a program.
# for plugins access
CXX_FLAG_EXPORT_DYNAMIC                := -rdynamic


################################## common ######################################

include $(MAKE_INTERN_DIR)compilator/common.mk



################################################################################
# ne depend pas du compilateur mais du systeme d'exploitation
# EXECUTABLE_EXTENSION                 :=
# OBJECT_EXTENSION                     := .o
# LIBRARY_PREFIX                       := lib
# LIBRARY_EXTENSION                    := .a
# SHARED_LIBRARY_EXTENSION             := .so
################################################################################


