$(call onDebugMake,fichier 'compilator/visualc' inclu)

# ----------------------------------------------------------------------
#        Commandes pour le compilateur c++ de visual
# ----------------------------------------------------------------------

VISUAL := $(TRUE)

################################################################################
# Warning : this file is not finish
################################################################################

################################ les commandes #################################

CXX                                  := cl /c 
CCXX                                 := $(CXX) 
LINKXX                               := link 
LIBXX                                := lib 

DEPENDXX                             := g++ -MM 
DEPENDXX_FLAG_INCLUDE_DIRECTORY      := -I
#$(CCXX) /showIncludes


CXX_LIBRARY                          := $(CXX) 
CXX_EXECUTABLE                       := $(CXX) 
CXX_SHARED_LIBRARY                   := $(CXX) 
CXX_SHARED_EXECUTABLE                := $(CXX) 


########################## les flags de fonctionnement #########################

CXX_FLAG_OBJECT_OUTPUT               := /Fo
CXX_FLAG_EXEC_OUTPUT                 := /out:
CXX_FLAG_LIB_OUTPUT                  := /out:

CXX_FLAG_INCLUDE_DIRECTORY           := /I
CXX_FLAG_INCLUDE_FILE                := /FI 
CXX_FLAG_C_FILES                     := /Tc
CXX_FLAG_CPP_FILES                   := /Tp
CXX_FLAG_DEFINE                      := /D


LINKXX_FLAG_LINK_DIRECTORY           := /LIBPATH:
LINKXX_FLAG_LINK_LIBRARY             := 
# .lib
LINKXX_FLAG_LINK_LIBRARY_STATIC      := 
# .dll
LINKXX_FLAG_LINK_LIBRARY_DYNAMIC     := /DELAYLOAD:
LINKXX_FLAG_SAVE_LINK_PATH           := 

LINKXX_FLAG_LIBRARY_EXTENSION         =$(LIBRARY_EXTENSION)
LINKXX_FLAG_SHARED_LIBRARY_EXTENSION  =$(SHARED_LIBRARY_EXTENSION)


############################ les flags d'options ###############################

CXX_FLAGS                            := $(CXX_FLAG_DEFINE)__COMPILATOR_VISUAL__ $(if $(PROCESSOR_ARCHITECTURE),/MACHINE:$(PROCESSOR_ARCHITECTURE)) /DVISUALCPP /GX /GR /DWIN32 /D_MBCS

CPP_FLAGS                            += /Zm1000 /D_WIN32_WINNT=0x0400 /DWINVER=0x0400 /D_UNICODE /D_M_IX86=500
C_FLAGS                              += /D_UNICODE

CXX_FLAG_MULTITHREAD                 := /D_MT


CXX_FLAG_DEBUG                       := /DEBUG
#/Z7 /FR /MDd
# /Yd
CXX_FLAG_NO_DEBUG                    := /MD
# /RELEASE : pas ca ??

CXX_FLAG_OPTIMIZE                    := /O2 /G6 /Op-
CXX_FLAG_NO_OPTIMIZE                 := /Od
#	/Og - Activer l'optimisation globale
#	/Os - En faveur d'un code petit
#	/Oy - Omission du pointeur vers le cadre
#	/Ob2 - Laisser le compilateur choisir les candidats a l'alignement
#	/GF - Activer le regroupement des chaines en lecture seule
#	/Gy - Activer la liaison au niveau des fonctions

CXX_FLAG_WARNING1                   := /W1
CXX_FLAG_WARNING2                   := /W2
CXX_FLAG_WARNING3                   := /W3
CXX_FLAG_WARNING4                   := /W4
CXX_FLAG_NO_WARNING                 := /w /W0

CXX_FLAG_SHARED                     := /D_DLL
CXX_FLAG_NO_SHARED                  := /Gy

CXX_FLAG_PROFILE                         := 
CXX_FLAG_COVER                           := 
LINKXX_FLAG_COVER                        := 


SUBSYSTEM                           ?= console
#SUBSYSTEM                           ?= windows


LINKXX_FLAG_EXECUTABLE                 := /nologo /subsystem:$(SUBSYSTEM) /incremental:no /fixed:no
LINKXX_FLAG_LIBRARY                    := /lib /nologo
LINKXX_FLAG_SHARED_LIBRARY             := /nologo /dll /pdb:none
LINKXX_FLAG_STATIC_LIBRARY             :=

#LINKXX_FLAG_EXECUTABLE                := /nologo /subsystem:$(SUBSYSTEM) /nodefaultlib:msvcprtd.lib,libcpmtd.lib,libcpmt.lib,libcpd.lib,libcp.lib /defaultlib:msvcprt.lib /incremental:no /fixed:no
#LINKXX_FLAG_SHARED_LIBRARY            := /nologo kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /dll /machine:I386 /pdb:none

# TODO : pas besoin sous win ?
CXX_FLAG_EXPORT_DYNAMIC             :=

# choix de la lib standard :
# /MT pour la statique multi-thread, /MD pour la DLL, /MTd et /MDd pour les versions debug

#LINKXX_LIBS_CORE                    := kernel32.lib user32.lib shell32.lib uuid.lib ole32.lib advapi32.lib ws2_32.lib
#LINKXX_LIBS_GUI                     := gdi32.lib comdlg32.lib oleaut32.lib imm32.lib winmm.lib winspool.lib ws2_32.lib ole32.lib user32.lib advapi32.lib
#LINKXX_LIBS_NETWORK                 := ws2_32.lib
#LINKXX_LIBS_OPENGL                  := opengl32.lib glu32.lib gdi32.lib user32.lib
#LINKXX_LIBS_COMPAT                  := advapi32.lib shell32.lib comdlg32.lib user32.lib gdi32.lib ws2_32.lib



################################## common ######################################

include $(MAKE_INTERN_DIR)compilator/common.mk



################################################################################
# ne depend pas du compilateur mais du systeme d'exploitation
# EXECUTABLE_EXTENSION               := .exe
# OBJECT_EXTENSION                   := .obj
# LIBRARY_PREFIX                     :=
# LIBRARY_EXTENSION                  := .lib
# SHARED_LIBRARY_EXTENSION           := .dll
################################################################################

################################################################################
# TODO....
#
#ifndef VISUALCPP_INC
#all_errors::
#	@$(call echoxx,VISUALCPP_INC is not defined)
#	false
#endif
#
#ifndef VISUALCPP_LIB
#all_errors::
#	@$(call echoxx,VISUALCPP_LIB is not defined)
#	false
#endif
#
## XXX: HACK HACK!! THE GNUC DEFINES HAVE TO BE THERE FOR MAKE DEPEND TO WORK, SAME FOR MSC VER
#MAKE_DEPEND_CPP_FLAGS                := -DVISUALCPP -D_M_IX86=500 -DWIN32 -D_WIN32 -D_MBCS -D_MSC_VER=1200 -w -D__GNUC__=2 -D__GNUC_MINOR__=95 -DICE_IGNORE_VERSION -D_DLL -D_UNICODE
#ifdef MAKELIB_MULTITHREAD
#MAKE_DEPEND_CPP_FLAGS                 += -D_MT
#endif
## HACK HACK!!!
################################################################################
################################################################################
# TODO.... ou pas...
#ifdef STLPORT_HOME
#LIBRARY_DIRECTORY_DEPENDENCIES      += $(STLPORT_HOME)/lib
##ifdef MAKELIB_DEBUG
##LIBRARY_DEPENDENCIES               += stlport_vc6_stldebug
##else
#LIBRARY_DEPENDENCIES                += stlport_vc6
##endif
#INCLUDE_DIRECTORY_DEPENDENCIES      += $(STLPORT_HOME)/include/stlport $(VISUALCPP_INC)
#else
#INCLUDE_DIRECTORY_DEPENDENCIES      += $(VISUALCPP_INC)
#endif
#
#LIBRARY_DIRECTORY_DEPENDENCIES      += $(VISUALCPP_LIB)
################################################################################
# c'est quoi ca ?...
#CXX_FLAG_IMPLIB_OUTPUT_PRE             := /implib:"
#
################################################################################

