$(call onDebugMake,fichier 'configureProgress' inclu)


# ------------------------------------------------------------------------------
#                Calcul of percentage and progressbar
#
# (doit etre regeneree lorsque des fichiers sont ajoutes lors du developpement)
# ------------------------------------------------------------------------------


ifndef NO_PROGRESS
ifneq ($(REBUILD_FILES),)


# pour permettre l'affichage de l'avancement
PROGRESS_ALL :=$(sort $(GENERATED_FILES_ALL)) $(foreach obj,$(sort $(OBJ_ALL)),$(obj:$(OBJECT_EXTENSION)=.d) $(obj))
COMPIL_SIZE  :=$(words $(PROGRESS_ALL))

VARFILES_TO_SAVE += COMPIL_SIZE


$(info calculate progress information for each file to compile...)

# sert a calculer le pourcentage d'avancement et la barre de progression (pour chaque fichier)
COMPTEUR:=
$(eval $(foreach obj,$(PROGRESS_ALL),                                          \
  $(eval COMPTEUR:=$(COMPTEUR) 0)                                              \
  $(eval progress_$(obj):=$(words $(COMPTEUR)))                                \
  $(eval progresspercent_$(obj):=$(call math,$(progress_$(obj))*100/$(COMPIL_SIZE))) \
  $(eval VARFILES_TO_SAVE += progresspercent_$(obj) progress_$(obj))           \
))

$(info ...ended)


#  $(warning obj:$(obj))                           \
  $(warning $(COMPTEUR)+1)                         \
  $(warning $(progress_$(obj))*100/$(COMPIL_SIZE)) \


#  $(warning ($(progress_$(1))*$(PROGRESSBAR_SIZE))/$(COMPIL_SIZE))
#  $(warning $(PROGRESSBAR_SIZE)-$(PROGRESSBAR_SIZELEFT))


endif
endif



