$(call onDebugMake,fichier 'unix/filesqrc' inclu)


# on ne cherche que dans les dossiers qui existent vraiment
SOURCES_DIR := $(wildcard $(SOURCES_DIR))

# s'il exite au moins un dossier
ifneq ($(SOURCES_DIR),)
  FILES_QRC   = $(shell $(FINDXX) $(SOURCES_DIR) -name "*.qrc" )
else
  FILES_QRC   =
endif

RESOURCES   = $(FILES_QRC)


#-------------------------------------------------------------------------------
# output variables
#-------------------------------------------------------------------------------

OBJ             := $(patsubst %.qrc,$(COMPIL_DIR)%$(OBJECT_EXTENSION),$(FILES_QRC))
GENERATED_FILES := $(patsubst %.qrc,$(COMPIL_DIR)%.cpp,$(FILES_QRC))


#-------------------------------------------------------------------------------
# On met toujours de cote tous les objets recuperes (ce fichier est inclu plusieurs fois)
#-------------------------------------------------------------------------------
OBJ_ALL            := $(OBJ_ALL) $(OBJ)
GENERATED_FILES_ALL := $(GENERATED_FILES_ALL) $(GENERATED_FILES)

SRC_ALL            := $(SRC_ALL) $(SRC)

